Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.contrib.utils.join
Class DataJoinJob

    java.lang.Object
      org.apache.hadoop.contrib.utils.join.DataJoinJob

    public class DataJoinJob

extends Object

This class implements the main function for creating a map/reduce job to join data of different sources. To create sucn a job, the user must implement a mapper class that extends DataJoinMapperBase class, and a reducer class that extends DataJoinReducerBase.

Constructor Summary
`DataJoinJob()`

Method Summary
`static JobConf` | `createDataJoinJob(String[] args)`
`static Class` | `getClassByName(String className)`
`static void` | `main(String[] args)`
`static boolean` | `runJob(JobConf job)` Submit/run a map/reduce job.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataJoinJob

    public DataJoinJob()

Method Detail

### getClassByName

    public static Class getClassByName(String className)

### createDataJoinJob

    public static JobConf createDataJoinJob(String[] args)
                                     throws IOException

  Throws:
    `IOException`

### runJob

    public static boolean runJob(JobConf job)
                          throws IOException

  Submit/run a map/reduce job.

  Parameters:
    `job` -
  Returns:
    true for success
  Throws:
    `IOException`

### main

    public static void main(String[] args)

  Parameters:
    `args` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation